#include <all.inc>

stock btnhelp_enable( btn, bool:b )
{
	new flag = GetSystemParam( SYSTEM_PARAM_PADHELP_ONOFF );

    new btn_flag;
    if( btn==TAG("RR") ){ btn_flag = PAD_HELP_RR; }
    else if( btn==TAG("RD") ){ btn_flag = PAD_HELP_RD; }
    else if( btn==TAG("RU") ){ btn_flag = PAD_HELP_RU; }
    else if( btn==TAG("RL") ){ btn_flag = PAD_HELP_RL; }
    else { return; }

	if( b )
	{
		flag |= btn_flag;
	}
	else
	{
		flag &= ~btn_flag;
	}

	SetSystemParam( SYSTEM_PARAM_PADHELP_ONOFF, flag );
}

stock btnhelp_set_string( btn, const str[] )
{
    if( btn==TAG("RR") ){ SetSystemParamStr( SYSTEM_PARAM_STR_PADHELP_RR, str ); }
    else if( btn==TAG("RD") ){ SetSystemParamStr( SYSTEM_PARAM_STR_PADHELP_RD, str ); }
    else if( btn==TAG("RU") ){ SetSystemParamStr( SYSTEM_PARAM_STR_PADHELP_RU, str ); }
    else if( btn==TAG("RL") ){ SetSystemParamStr( SYSTEM_PARAM_STR_PADHELP_RL, str ); }
    else { return; }
}

